<?php

namespace App\Http\Requests\API\AssetGroup;

use Illuminate\Foundation\Http\FormRequest;

class CreateOrUpdateRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'name' => 'required|max:100',
            'sequence' => 'numeric',
        ];
    }

    public function attributes(): array
    {
        return [
            'name' => __("fields.name"),
            'sequence' => __("fields.sequence"),
        ];
    }
}
