<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Requirement extends Model
{
    use HasFactory;

    protected $fillable = [
        'title',
        'asset_id',
        'status',
        'requirement_group_id',
        'priority',
        'note',
        'description',
        'acceptance',
        'mailto',
        'company_id',
    ];

    protected $casts = [
        'mailto' => 'array',
    ];

    public function createdBy(): \Illuminate\Database\Eloquent\Relations\BelongsTo
    {
        return $this->belongsTo(User::class, 'created_by');
    }
}
