<?php

namespace Database\Factories;

use App\Models\Asset;
use Carbon\Carbon;
use Illuminate\Database\Eloquent\Factories\Factory;
use Illuminate\Support\Facades\Auth;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\Plan>
 */
class PlanFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array
    {
        return [
            'title' => fake()->title(),
            'company_id' => Auth::user()->company_id,
            'asset_id' => Asset::factory(),
            'begin' => Carbon::now()->toDateString(),
            'end' => Carbon::now()->addDays(10)->toDateString(),
            'description' => fake()->text(),
        ];
    }
}
