<?php

namespace Database\Factories;

use Carbon\Carbon;
use Illuminate\Database\Eloquent\Factories\Factory;
use Illuminate\Support\Facades\Auth;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\Project>
 */
class ProjectFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array
    {
        return [
            'name' => fake()->name(),
            'code' => fake()->randomNumber(5),
            'const' => fake()->randomNumber(5),
            'available_days' => fake()->randomNumber(2),
            'status' => 'undone',
            'begin' => Carbon::now(),
            'end' => Carbon::now()->addDays(10),
            'latitude' => fake()->latitude(),
            'longitude' => fake()->longitude(),
            'type' => fake()->randomElement(['project', 'task']),
            'acl' => 'private',
            'whitelist' => ',1,',
            'description' => fake()->text(),
            'company_id' => Auth::user()->company_id,
            'created_by' => Auth::id(),
        ];
    }
}
