<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('requirements', function (Blueprint $table) {
            $table->id();
            $table->string('title');
            $table->enum('status', ['changed', 'active', 'draft', 'closed'])->default('draft');
            $table->integer('asset_id');
            $table->integer('company_id');
            $table->integer('requirement_group_id');
            $table->integer('reviewed_by')->nullable();
            $table->tinyInteger('priority')->default(1);
            $table->string('note')->nullable();
            $table->text('description')->nullable();
            $table->text('acceptance')->nullable();
            $table->json('mailto');
            $table->integer('created_by');
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('requirements');
    }
};
