<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('plans', function (Blueprint $table) {
            $table->integer('asset_id');
            $table->integer('parent_id')->default(0);
            $table->date("begin")->nullable();
            $table->date("end")->nullable();
            $table->text("description")->nullable();
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('plans', function (Blueprint $table) {
            $table->dropColumn([
                'asset_id', 'parent_id', 'begin', 'end', 'description', 'deleted_at', 'created_at', 'udpated_at'
            ]);
        });
    }
};
