<?php

namespace Tests\Feature;


use App\Models\User;
use Illuminate\Foundation\Testing\RefreshDatabase;
use Illuminate\Foundation\Testing\WithFaker;
use Laravel\Sanctum\Sanctum;

class TestCase extends \Tests\TestCase
{
    use RefreshDatabase, WithFaker;

    protected function setUp(): void
    {
        parent::setUp();

        $user = User::factory()->create([
            'username' => 'lpc',
            'email' => 'test@lpc.com',
            'company_id' => 1,
        ]);

        Sanctum::actingAs($user);
    }

    protected function simplePaginateResponseStructure(array $data): array
    {
        return [
            'data' => [
                '*' => $data
            ],
            'links' => [
                'first',
                'last',
                'prev',
                'next',
            ],
            'meta' => [
                'current_page',
                'from',
                'path',
                'per_page',
                'to',
            ]
        ];
    }
}
